Problems installing latest JAVA

I am trying to install the latest Java on Debian.
I downloaded “jdk-8u111-linux-arm64-vfp-hflt.tar” from Oracle.

I uploaded using FileAilla to BBB to root.
I tried both auto and binary for Filezilla.
I have used Filezilla many times in the past with no problem so it is not my candidate for the problem.
BTW, I think FileZilla is an excellent program for transfering files either direction with the BBB and Windows 10.

This is the issue I get when I try and tar the file:

root@beaglebone:~# tar xzf jdk-8u111-linux-arm64-vfp-hflt.tar

gzip: stdin: unexpected end of file
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now

I am suspicious that the file may not be valid.
Did I down load the wrong file for the Debian BBB?

Was the download from Oracle corrupt (tried several times)?

Was the upload with FileZilla corrupting (I copied back down from BBB to Window 10 and did a successful file match)?

I can only conclude that there is a problem with what file I got from Oracle.

Any insight in my error of my procedure will be appreciated.

Thanks,

Pat

I am trying to install the latest Java on Debian.
I downloaded "jdk-8u111-linux-arm64-vfp-hflt.tar" from Oracle.

"arm64"...

I uploaded using FileAilla to BBB to root.
I tried both auto and binary for Filezilla.
I have used Filezilla many times in the past with no problem so it is not my
candidate for the problem.
BTW, I think FileZilla is an excellent program for transfering files either
direction with the BBB and Windows 10.

This is the issue I get when I try and tar the file:

root@beaglebone:~# tar xzf jdk-8u111-linux-arm64-vfp-hflt.tar

gzip: stdin: unexpected end of file
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now

I am suspicious that the file may not be valid.
Did I down load the wrong file for the Debian BBB?
Was the download from Oracle corrupt (tried several times)?
Was the upload with FileZilla corrupting (I copied back down from BBB to
Window 10 and did a successful file match)?
I can only conclude that there is a problem with what file I got from
Oracle.
Any insight in my error of my procedure will be appreciated.

you can use the "oracle-java8-installer" package in apt, it's
"8u77+8u77arm" right now, just give me a moment to update it..

Regards,

Try “tar xf jdk-8u111-linux-arm64-vfp-hflt.tar”

Since the file name doesn’t end with “.tar.gz”, I assume it is an uncompressed tar file, the ‘-z’ option is your problem.

I’d also run “file jdk-8u111-linux-arm64-vfp-hflt.tar”. For example, on my system:

$ file compat-wireless-2015-03-09.tar*
compat-wireless-2015-03-09.tar: POSIX tar archive (GNU)
compat-wireless-2015-03-09.tar.bz2: bzip2 compressed data, block size = 900k

But, Robert Nelson’s reply is probably more relevant about arm64…

Ted Roth

Okay:

oracle-java8-installer is now updated to 8u111+8u111arm
oracle-java9-installer is now updated to 9b149+9b149arm

Regards,